Skip to content
Get API key (opens in a new tab)

Products

Get product

Returns information about a specific product or product variant.

GEThttps://api.cevoid.com/v2/products/{id}

Authorizations

Authorizationbearer tokenheaderrequired

Send Authorization: Bearer <key>, where the key is your API key.

Path parameters

idstringrequired

Cevoid product or variant ID.

  • Example: prd_abc123def456gh

Query parameters

marketstring

Market ID used to resolve localized data. Omit to use the default market.

  • Example: mar_sweden

Response

200 Successful response application/json

dataobjectrequired

Requested resource.

Option 1: object
market_idstringrequired

Cevoid market ID for this product presentation.

  • Example: mar_sweden
external_idstring

Product identifier from the connected commerce platform.

  • Example: shopify_product_123
titlestring

Market-specific product title.

  • Example: Merino crew neck
variant_titlestring

Market-specific variant option label.

  • Example: Navy / M
skustring

Market-specific stock keeping unit.

  • Example: MERINO-NAVY-M
urlstring<uri>

Storefront URL for the selected market presentation.

  • Example: https://shop.example/products/merino-crew
image_urlstring<uri>

Primary image for the selected market presentation.

  • Example: https://cdn.cevoid.com/products/merino-crew/0.jpg
availabilityenum<string>

Availability for the selected market presentation.

  • Allowed values: IN_STOCK OUT_OF_STOCK
  • Example: IN_STOCK
idstringrequired

Cevoid product or variant ID.

  • Example: prd_abc123def456gh
typeenum<string>required

Product family.

  • Allowed value: PRODUCT
  • Example: PRODUCT
priceobject

Market-specific Product price range.

Properties (3)
currencystringrequired

ISO 4217 currency code.

  • Example: SEK
min_amountnumberrequired

Lowest Variant price.

  • Range: 0 <= x
  • Example: 799
max_amountnumberrequired

Highest Variant price.

  • Range: 0 <= x
  • Example: 999
Option 2: object
market_idstringrequired

Cevoid market ID for this product presentation.

  • Example: mar_sweden
external_idstring

Product identifier from the connected commerce platform.

  • Example: shopify_product_123
titlestring

Market-specific product title.

  • Example: Merino crew neck
variant_titlestring

Market-specific variant option label.

  • Example: Navy / M
skustring

Market-specific stock keeping unit.

  • Example: MERINO-NAVY-M
urlstring<uri>

Storefront URL for the selected market presentation.

  • Example: https://shop.example/products/merino-crew
image_urlstring<uri>

Primary image for the selected market presentation.

  • Example: https://cdn.cevoid.com/products/merino-crew/0.jpg
availabilityenum<string>

Availability for the selected market presentation.

  • Allowed values: IN_STOCK OUT_OF_STOCK
  • Example: IN_STOCK
idstringrequired

Cevoid product or variant ID.

  • Example: prd_abc123def456gh
typeenum<string>required

Purchasable Product variant.

  • Allowed value: VARIANT
  • Example: VARIANT
parent_product_idstringrequired

Cevoid product ID. Present when type is VARIANT.

  • Example: prd_abc123def456gh
priceobject

Market-specific Variant price.

Properties (3)
currencystringrequired

ISO 4217 currency code.

  • Example: SEK
amountnumberrequired

Current Variant price.

  • Range: 0 <= x
  • Example: 899
sale_amountnumber

Sale price when active.

  • Range: 0 <= x
  • Example: 799
Response headers (5)
Cevoid-Processing-Msstring

End-to-end request processing time in milliseconds

Cevoid-Request-Idstring

Request identifier for support and tracing

RateLimit-Limitstring

Current rate limit bucket size

RateLimit-Remainingstring

Remaining requests in the current rate limit window

RateLimit-Resetinteger

Seconds until the next request token is available

401 Unauthorized application/json

additional_dataobject

Optional machine-readable error details.

Properties (1)
{key}any
statusnumberrequired

HTTP status code for the error response.

  • Example: 404
codestringrequired

Stable machine-readable error code.

  • Example: not_found
messagestringrequired

Human-readable description of the error.

  • Example: Route not found
request_idstring

Request identifier for support and tracing.

  • Example: req_abc123
Response headers (5)
Cevoid-Processing-Msstring

End-to-end request processing time in milliseconds

Cevoid-Request-Idstring

Request identifier for support and tracing

RateLimit-Limitstring

Current rate limit bucket size

RateLimit-Remainingstring

Remaining requests in the current rate limit window

RateLimit-Resetinteger

Seconds until the next request token is available

403 Forbidden application/json

additional_dataobject

Optional machine-readable error details.

Properties (1)
{key}any
statusnumberrequired

HTTP status code for the error response.

  • Example: 404
codestringrequired

Stable machine-readable error code.

  • Example: not_found
messagestringrequired

Human-readable description of the error.

  • Example: Route not found
request_idstring

Request identifier for support and tracing.

  • Example: req_abc123
Response headers (5)
Cevoid-Processing-Msstring

End-to-end request processing time in milliseconds

Cevoid-Request-Idstring

Request identifier for support and tracing

RateLimit-Limitstring

Current rate limit bucket size

RateLimit-Remainingstring

Remaining requests in the current rate limit window

RateLimit-Resetinteger

Seconds until the next request token is available

404 Not found application/json

additional_dataobject

Optional machine-readable error details.

Properties (1)
{key}any
statusnumberrequired

HTTP status code for the error response.

  • Example: 404
codestringrequired

Stable machine-readable error code.

  • Example: not_found
messagestringrequired

Human-readable description of the error.

  • Example: Route not found
request_idstring

Request identifier for support and tracing.

  • Example: req_abc123
Response headers (5)
Cevoid-Processing-Msstring

End-to-end request processing time in milliseconds

Cevoid-Request-Idstring

Request identifier for support and tracing

RateLimit-Limitstring

Current rate limit bucket size

RateLimit-Remainingstring

Remaining requests in the current rate limit window

RateLimit-Resetinteger

Seconds until the next request token is available

422 Validation error application/json

additional_dataobject

Optional machine-readable error details.

Properties (1)
{key}any
statusnumberrequired

HTTP status code for the error response.

  • Example: 404
codestringrequired

Stable machine-readable error code.

  • Example: not_found
messagestringrequired

Human-readable description of the error.

  • Example: Route not found
request_idstring

Request identifier for support and tracing.

  • Example: req_abc123
Response headers (5)
Cevoid-Processing-Msstring

End-to-end request processing time in milliseconds

Cevoid-Request-Idstring

Request identifier for support and tracing

RateLimit-Limitstring

Current rate limit bucket size

RateLimit-Remainingstring

Remaining requests in the current rate limit window

RateLimit-Resetinteger

Seconds until the next request token is available

429 Too many requests application/json

additional_dataobjectrequired

Machine-readable rate-limit details.

Properties (2)
retry_after_secondsintegerrequired
  • Range: 0 <= x
{key}any
statusintegerrequired

HTTP status code.

  • Example: 404
codestringrequired

Stable machine-readable error code.

  • Example: not_found
messagestringrequired

Human-readable error description.

  • Example: Resource not found
request_idstring

Request identifier for support and tracing.

  • Example: req_abc123
Response headers (6)
Cevoid-Processing-Msstring

End-to-end request processing time in milliseconds

Cevoid-Request-Idstring

Request identifier for support and tracing

RateLimit-Limitstring

Current rate limit bucket size

RateLimit-Remainingstring

Remaining requests in the current rate limit window

RateLimit-Resetinteger

Seconds until the next request token is available

Retry-Afterinteger

Seconds to wait before retrying the request

500 Internal server error application/json

additional_dataobject

Optional machine-readable error details.

Properties (1)
{key}any
statusnumberrequired

HTTP status code for the error response.

  • Example: 404
codestringrequired

Stable machine-readable error code.

  • Example: not_found
messagestringrequired

Human-readable description of the error.

  • Example: Route not found
request_idstring

Request identifier for support and tracing.

  • Example: req_abc123
Response headers (5)
Cevoid-Processing-Msstring

End-to-end request processing time in milliseconds

Cevoid-Request-Idstring

Request identifier for support and tracing

RateLimit-Limitstring

Current rate limit bucket size

RateLimit-Remainingstring

Remaining requests in the current rate limit window

RateLimit-Resetinteger

Seconds until the next request token is available